Status: Resolved Priority: Could have
Author: Rens Admiraal Category:
Created: 2013-10-15 Assigned To:
Updated: 2014-07-11 Due date:
Subject: Add isConnected() to Persistence interface
Description

Change https://review.typo3.org/#/c/24609 introduced and isConnected() method to the roleRepository to verify if the repository can
actually be used for fetching and storing data. In the comments of the change it was suggested to move this method up in the class
hierarchy and make it api. As this is still not fully decided and the bugfix has to be merged we will push this later on based on this
ticket.
Basically the following should be decided:
    -  Should it be api
    -  Should it be added to an interface
    -  To which interface

When this method is moved up it should of course be removed from the roleRepository

Associated revisions
Revision 2df9c7cf - 2013-10-15 16:21 - Andreas Förthner

[TASK] Move isConnected from role repository to persistence manager

To make isConnected api, we have to move it to some central
place. The persistence manager seems to be a lot better place,
than the persistence repository, as it is not reference as much
in user code.

Resolves: #52846
Releases: master
Change-Id: Ia28daa34e69beb41eb7a1e07f03e251b27dd13c9

History
#1 - 2013-10-15 16:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24799

#2 - 2013-10-15 16:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24799

#3 - 2014-07-11 20:19 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset package-typo3-flow:commit:2df9c7cf79d664544fddbe654976b061c7fb6913.
